using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Snootalogue.Models {
	public class Document {
		public int ID { get; set; }
		public string Filename { get; set; }
		public string Hash { get; set; }
		[UIHint("FileSize")]
		public long Size { get; set; }

		public string Title { get; set; }
		[UIHint("CommaSeparatedList")]
		public List<string> Authors { get; set; }
		public string Category { get; set; }
		[Display(Name = "Release Date")]
		public DateTime DateAdded { get; set; }
		[UIHint("CommaSeparatedList")]
		public List<string> Tags { get; set; }
		public Boolean Read { get; set; }
	}
}
